wreport::notes Namespace Reference

Collect notes about unusual things that happen during processing. More...

## Data Structures

struct | Collect
| RAII way to temporarily set a notes target. More...

## Functions

void | set_target (std::ostream &out)
| Set the target stream where the notes are sent.
std::ostream * | get_target ()
| Get the current target stream for notes.
bool | logs () throw ()
| Return true if there is any target to which notes are sent.
std::ostream & | log () throw ()
| Output stream to send notes to.
void | logf (const char *fmt,...) WREPORT_PRINTF_ATTRS(1
| printf-style logging

## Detailed Description

Collect notes about unusual things that happen during processing.

By default notes are discarded, unless set_target() is called or a notes::Collect object is instantiated to direct notes where needed.